import { BaseEntity } from './../../shared';

export class CommunicationEventDelivery implements BaseEntity {
    constructor(
        public id?: number,
        public idCustomer?: string,
        public idDealer?: string,
        public dealerName?: string,
        public bussinessCode?: string,
        public dealerAddress?: string,
        public b1?: string,
        public b2?: string,
        public b3?: string,
        public b4?: string,
        public c11Rate?: string,
        public c11Reason?: string,
        public c11Hope?: string,
        public c12Rate?: string,
        public c12Reason?: string,
        public c12Hope?: string,
        public c13Rate?: string,
        public c13Reason?: string,
        public c13Hope?: string,
        public c14Rate?: string,
        public c14Reason?: string,
        public c14Hope?: string,
        public c15Rate?: string,
        public c15Reason?: string,
        public c15Hope?: string,
        public c16Rate?: string,
        public c16Reason?: string,
        public c16Hope?: string,
        public c17Rate?: string,
        public c17Reason?: string,
        public c17Hope?: string,
        public c18Rate?: string,
        public c18Reason?: string,
        public c18Hope?: string,
        public c19Rate?: string,
        public c19Reason?: string,
        public c19Hope?: string,
        public c110Rate?: string,
        public c110Reason?: string,
        public c110Hope?: string,
        public c2Rate?: string,
        public c3Option?: string,
        public d1Name?: string,
        public d2Gender?: string,
        public d3Age?: number,
        public d4Phone?: string,
        public d5Vehicle?: string,
        public d6Education?: string,
    ) {
    }
}
